package com.arms.api.blog.service;


import com.arms.api.blog.model.entity.BlogDTO;
import com.arms.api.blog.model.entity.BlogEntity;
import com.arms.api.blog.model.vo.BlogVO;

import java.util.List;

public interface BlogService {

    Long addBlog(BlogDTO blogDTO);

    Long updateBlog(BlogDTO blogDTO);

    BlogEntity getBlog(BlogDTO blogDTO);

    Long removeBlog(Long blogId);

    void asyncViewCountUp(Long blogId);

    List<BlogEntity> getBlogListByViewCountDesc(BlogDTO blogDTO);

    BlogVO searchBlog(BlogDTO blogDTO);
}
